# $Revision: 1.41 $, $Date: 2011/02/23 17:22:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Exception
%define		pnam	Class
Summary:	Exception::Class - declare real exception classes in Perl
Summary(pl.UTF-8):	Exception::Class - deklarowanie prawdziwych klas wyjątków w Perlu
Name:		perl-Exception-Class
Version:	1.32
Release:	1
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Exception/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	83788ad5a2c5e946877e4ec362e19622
URL:		http://search.cpan.org/dist/Exception-Class/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Data-Inheritable >= 0.02
BuildRequires:	perl-Devel-StackTrace >= 1.20
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl($isa)

%description
Exception::Class allows you to declare exceptions in your modules
in a manner similar to how exceptions are declared in Java.

%description -l pl.UTF-8
Exception::Class pozwala na deklarowanie w modułach wyjątków
w sposób podobny do stosowanego w Javie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE
%dir %{perl_vendorlib}/Exception
%{perl_vendorlib}/Exception/Class.pm
%{perl_vendorlib}/Exception/Class
%{_mandir}/man3/Exception::Class*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Exception-Class.spec,v $
Revision 1.41  2011/02/23 17:22:19  qboosh
- noautoreq perl($isa)

Revision 1.40  2011/02/23 17:16:23  qboosh
- updated BRs

Revision 1.39  2011/02/23 17:13:56  qboosh
- updated to 1.32

Revision 1.38  2009/06/22 13:41:25  amateja
- updated to 1.29

Revision 1.37  2008/12/01 13:52:05  arekm
- up to 1.26

Revision 1.36  2008/09/20 12:12:10  radek
- release 3: rebuild with fixed rpm perl.req

Revision 1.35  2008/09/09 11:03:53  arekm
- release 2

Revision 1.34  2008-04-02 09:17:22  arekm
- up to 1.24

Revision 1.33  2008-03-24 01:14:15  qboosh
- generic URL

Revision 1.32  2007-09-11 07:32:32  arekm
- up to 1.23

Revision 1.31  2007/02/13 07:16:55  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.29  2005/01/03 12:16:36  adamg
- updated to 1.20

Revision 1.28  2004/11/03 22:30:20  paladine
- formatting

Revision 1.27  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.26  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.25  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.24  2004/04/11 12:02:50  qboosh
- updated md5, cosmetics

Revision 1.23  2004/04/11 08:31:32  agaran
 - updated to 1.19

Revision 1.22  2003/10/01 21:33:01  migo
- up to 1.16
- new bcond system

Revision 1.21  2003/09/21 21:48:24  adamg
- updated to 1.15

Revision 1.20  2003/09/15 09:42:38  adamg
- updated to 1.14

Revision 1.19  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/06/10 14:59:06  qboosh
- up to 1.12 (from RA-branch), release 2

Revision 1.17  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.14  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.12  2003/02/21 23:39:30  ankry
- autoupdated to 1.11

Revision 1.11  2003/02/20 23:31:00  ankry
- autoupdated to 1.10

Revision 1.10  2003/02/18 15:32:01  ankry
- massive attack: change CPAN URLs

Revision 1.9  2003/01/23 09:52:04  radek
- version 1.09

Revision 1.8  2002/09/21 20:59:23  radek
- version 1.07

Revision 1.7  2002/08/24 17:05:29  radek
- informative summary/description
- version 1.05, added conditional tests, STBR

Revision 1.6  2002/08/18 12:06:20  blues
- release 4 - license fix; STBR

Revision 1.5  2002/07/29 12:14:24  ankry
- fixed summary

Revision 1.4  2002/07/29 08:30:18  qboosh
- compressed BRs

Revision 1.3  2002/07/28 22:19:25  ankry
- added package names to BR
- commented out %%{__make} test
- release 3

Revision 1.2  2002/07/16 23:34:37  ankry
- translations, cleaning
- added %%{perl_sitelib}/Exception
- fixed License field
- release 2

Revision 1.1  2002/07/15 07:42:14  depesz
- spec by Radosław Zieliński
